历尽千辛万苦编译安装好 Audacious 

本来就是用audacious听歌的,不过官方源里面的版本(v1.5.1)实在是太低了。

于是就萌发了自己编译的想法,下载了audacious最新稳定版2.1.0 (2009.7.6发布)----程序源码包 和 插件源码包.

本以为应该编译安装很容易,不过我错了。

./configure 到没有什么难度,可选的也不多,很多都是default enable的.

我的 ./configure --prefix=/usr/local/audacious --enable-samplerate

缺依赖就 apt-get install xxx.

make,make install 也很流畅。

不过,audacious-plugins 不太好办

我的 ./configure --prefix=/usr/local/audacious/plugins (很方便,囧rz)

不过刚check了一秒,报错....
Not found Audacious 2.1 or later...

大体意思是找不到主程序的位置.

解决方案:复制 /usr/local/audacious/lib/pkgconfig/下的audacious.pc
到 /usr/local/lib/pkgconfig/下 即可.

继续check..缺依赖 apt-get install.

./configure 通过.

make...又报错..
是进入sid 目录报的错.
audutil.h No such a file or directory...
laudutil 出错
failed to link sid.so

就是 libaudutil挂了.
关于这个问题我搜索了一下,是audacious自身问题(居然说是稳定版 囧rz....)
把libaudutil 合并到 libaudcore中
官网给出了修改的步骤,一共是6个文件.
详见:http://hg.atheme.org/audacious-plugins/rev/5044e5807b67
如果懒得改可以下载修改后的源码包:
http://hg.atheme.org/audacious-plugins/archive/5044e5807b67.tar.bz2

我的解决方案:

把audacious.2.1/src/libaudutil/下的audutil.h 复制
到audacious.2.1/src/audacious/下 即可。

然后make,就没有问题了。
如果报一些 -laudutil 错之类的,找到该文件夹下的 makefile,删掉LIB_PATH 后面 该字符串即可通过.

然后,make check,make install.

安装成功.
[ 2 评论 ] ( 2146 次浏览 ) 永久链接 ( 3 / 1413 )
编译 php 5.3.0 通过 

突然想要升级到php5.3.0版本,于是马上行动了

下载tar.gz包,解压

我的configure:

[[email protected] php-5.3.0]# ./configure --prefix=/usr/local/PHP --enable-mod-charset --enable-embed --with-apxs2=/usr/local/apache/bin/apxs --enable-sigchild --enable-libgcc --enable-fd-setsize=1024 --with-openssl --with-kerberos --with-zlib --with-bz2 --enable-calendar --with-curl --with-curlwrappers --enable-dba --enable-exif --enable-ftp --with-gd --enable-gd-native-ttf --with-imap --with-mhash --with-imap-ssl --enable-intl --enable-mbstring --with-icu-dir=/usr/local/ICU/ --with-ldap --with-mcrypt --with-mysql=/usr/local/mysql --with-mysqli --enable-embedded-mysqli --enable-soap --enable-sockets --enable-sysvmsg --enable-sysvsem --enable-sysvshm --enable-wddx --with-xmlrpc --enable-zip --enable-maintainer-zts

一开始加了一些自己都不清楚的组件,如litespeed,

./configure 可以通过,make也没问题,但是一旦make install 就挂了.遇到了一个大家公共的问题

chmod: failed to get attributes of `/usr/local/apache/modules/libphp5.so': No such file or directory apxs:
Error: Command failed with rc=65536 .
make: *** [install-sapi] Error 1


后来删掉了一些参数,便通过了.

还有如果要使用phpmyadmin 3.2.0后的新版本,一定要加上 mbstring,mcrypt 支持.
[ 123 评论 ] ( 2127 次浏览 ) 永久链接 ( 3 / 1349 )
成功编译 apache 2.2.12 

有人一定觉得奇怪,apache 现在的最高版本才是2.2.11,怎么我就编译了2.2.12呢 呵呵

其实这是dev版,不过很快就要正式了。

下面是我的./configure

[[email protected] usr]# ./configure --prefix=/usr/local/apache --enable-modules="all" --enable-charset-lite --enable-proxy --enable-ssl --enable-http --enable-dav --enable-info --enable-cgi --enable-cgid --enable-dav-fs --enable-dav-lock --enable-vhost-alias --enable-rewrite --enable-so --with-apr=/usr/local/apr --with-apr-util=/usr/local/apr-util

过程中基本没有什么难度,就是 apr(Apache Portable Runtime Util)让我郁闷了一下,不过安装一下就可以通过了.

本来是打算安装mod_dav-1.0.3-1.3.6.tar.gz的,不过无论是
./configure --with-apxs=/usr/local/apache/bin/apxs
还是
./configure --with-apache=/usr/local/apache
都报
the APXS installation may be broken
这个错.

让我去http://www.webdav.org/mod_dav/install.html找原因.
索性不装了,好在发现apache集成了这个,呵呵
[ 23 评论 ] ( 1142 次浏览 ) 永久链接 ( 3 / 1392 )
成功编译 mplayer 1.0 rc2 

本来我的mplayer是用ubuntu-tweak安装的,最近突然想要自己编译安装,于是就动手了。

我的configure:
./configure --prefix=/usr/local/mplayer --enable-gui --enable-largefiles --enable-linux-devfs --enable-radio --enable-radio-capture --enable-xvmc --enable-dynamic-plugins --disable-ivtv

缺什么lib就apt-get 一下.

make的时候如果出现
undefined reference to `video_out_ivtv' collect2: ld returned 1 exit status
的时候,
解决方法是 找到源代码文件夹下的libvo文件夹里的video_out.c 文件,找到

extern vo_functions_t video_out_dxr3; 这行

改写成
#ifdef HAVE_DXR3
extern vo_functions_t video_out_dxr3;
#endif
即可通过编译.
[ 7 评论 ] ( 1452 次浏览 ) 永久链接 ( 3 / 1537 )
编译通过 VLC media player 1.0.0 Goldeneye 正式版 

前几天刚编译好vlc 1.0.0 rc4,昨天又发布正式版

于是又赶紧跟上了

$ ./configure prefix=/usr/local/vlc --enable-debug --enable-release --enable-switcher --enable-dc1394 --enable-dv --enable-dvdread --enable-opencv --enable-v4l --enable-pvr --enable-gnomevfs --enable-cddax --enable-vcdx --enable-id3tag --enable-real --enable-realrtsp

本来想加上--enable-mozilla --with-mozilla-sdk-path=/usr/include/seamonkey 以安装firefox 插件的,不过由于种种问题,不得不放弃...

## --------- ##
## Platform. ##
## --------- ##

hostname = sharljimhtsin-laptop
uname -m = i686
uname -r = 2.6.28-11-generic
uname -s = Linux
uname -v = #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009

不过vlc 看dvd还是不错的,最近在看仙剑三,哈哈





关于 vlc 截图


[ 70 评论 ] ( 1439 次浏览 ) 永久链接 ( 3 / 1625 )

<< <上一页 | 23 | 24 | 25 | 26 | 27 | 28 | 29 | 30 | 31 | 32 | 下一页> >>